Upload feedback document
curl --request POST \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/feedback-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "report.pdf",
"source": "interview"
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/feedback-document"
payload = {
"fileName": "report.pdf",
"source": "interview"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileName: 'report.pdf', source: 'interview'})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/feedback-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uploadUrl": "https://example.com/documents/doc_123?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=..."
}
}Feedback
Upload feedback document
Uploads a document related to feedback for processing and analysis
POST
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
feedback-document
Upload feedback document
Authorizations
JWT authentication for organization-scoped endpoints.
Body
application/json
Response
Document uploaded successfully
Uploaded document information
Show child attributes
Show child attributes
⌘I